java.security.cert

## Interface CertPathValidatorResult

- All Superinterfaces:
    Cloneable
  All Known Implementing Classes:
    PKIXCertPathBuilderResult, PKIXCertPathValidatorResult

      public interface CertPathValidatorResult
      extends Cloneable

  A specification of the result of a certification path validator algorithm.

  The purpose of this interface is to group (and provide type safety for) all certification path validator results. All results returned by the `CertPathValidator.validate` method must implement this interface.

  Since:
    1.4
  See Also:
    `CertPathValidator`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()` Makes a copy of this `CertPathValidatorResult`.

- - ### Method Detail

    - #### clone

          Object clone()

      Makes a copy of this `CertPathValidatorResult`. Changes to the copy will not affect the original and vice versa.
      Returns:
        a copy of this `CertPathValidatorResult`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.